<html>
<head>
<title>Ogre::SceneManagerMetaData Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="structOgre_1_1SceneManagerMetaData.html">SceneManagerMetaData</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::SceneManagerMetaData Struct Reference<div class="ingroups"><a class="el" href="group__Scene.html">Scene</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::SceneManagerMetaData" -->
<p>Structure containing information about a scene manager.  
 <a href="structOgre_1_1SceneManagerMetaData.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreSceneManager_8h_source.html">OgreSceneManager.h</a>&gt;</code></p>

<p><a href="structOgre_1_1SceneManagerMetaData-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1SceneManagerMetaData.html#aa57a307da50be609afd0ba94a4270575">typeName</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">A globally unique string identifying the scene manager type.  <a href="#aa57a307da50be609afd0ba94a4270575"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1SceneManagerMetaData.html#a8df3fc448d9a7ac3c1fd42367a992f15">description</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">A text description of the scene manager.  <a href="#a8df3fc448d9a7ac3c1fd42367a992f15"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__Scene.html#gaa4b6dbd7bf722582a21fcc25d25f73ed">SceneTypeMask</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1SceneManagerMetaData.html#a35faea95cb6f142f8f42b44be4a5b973">sceneTypeMask</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">A mask describing which sorts of scenes this manager can handle.  <a href="#a35faea95cb6f142f8f42b44be4a5b973"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1SceneManagerMetaData.html#a4ca0d9cbb34639bf1032f34607e3d3bd">worldGeometrySupported</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Flag indicating whether world geometry is supported.  <a href="#a4ca0d9cbb34639bf1032f34607e3d3bd"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Structure containing information about a scene manager. </p>

<p>Definition at line <a class="el" href="OgreSceneManager_8h_source.html#l03617">3617</a> of file <a class="el" href="OgreSceneManager_8h_source.html">OgreSceneManager.h</a>.</p>
</div><hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a8df3fc448d9a7ac3c1fd42367a992f15"></a><!-- doxytag: member="Ogre::SceneManagerMetaData::description" ref="a8df3fc448d9a7ac3c1fd42367a992f15" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="structOgre_1_1SceneManagerMetaData.html#a8df3fc448d9a7ac3c1fd42367a992f15">Ogre::SceneManagerMetaData::description</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>A text description of the scene manager. </p>

<p>Definition at line <a class="el" href="OgreSceneManager_8h_source.html#l03622">3622</a> of file <a class="el" href="OgreSceneManager_8h_source.html">OgreSceneManager.h</a>.</p>

</div>
</div>
<a class="anchor" id="a35faea95cb6f142f8f42b44be4a5b973"></a><!-- doxytag: member="Ogre::SceneManagerMetaData::sceneTypeMask" ref="a35faea95cb6f142f8f42b44be4a5b973" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__Scene.html#gaa4b6dbd7bf722582a21fcc25d25f73ed">SceneTypeMask</a> <a class="el" href="structOgre_1_1SceneManagerMetaData.html#a35faea95cb6f142f8f42b44be4a5b973">Ogre::SceneManagerMetaData::sceneTypeMask</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>A mask describing which sorts of scenes this manager can handle. </p>

<p>Definition at line <a class="el" href="OgreSceneManager_8h_source.html#l03624">3624</a> of file <a class="el" href="OgreSceneManager_8h_source.html">OgreSceneManager.h</a>.</p>

</div>
</div>
<a class="anchor" id="aa57a307da50be609afd0ba94a4270575"></a><!-- doxytag: member="Ogre::SceneManagerMetaData::typeName" ref="aa57a307da50be609afd0ba94a4270575" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="structOgre_1_1SceneManagerMetaData.html#aa57a307da50be609afd0ba94a4270575">Ogre::SceneManagerMetaData::typeName</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>A globally unique string identifying the scene manager type. </p>

<p>Definition at line <a class="el" href="OgreSceneManager_8h_source.html#l03620">3620</a> of file <a class="el" href="OgreSceneManager_8h_source.html">OgreSceneManager.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4ca0d9cbb34639bf1032f34607e3d3bd"></a><!-- doxytag: member="Ogre::SceneManagerMetaData::worldGeometrySupported" ref="a4ca0d9cbb34639bf1032f34607e3d3bd" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="structOgre_1_1SceneManagerMetaData.html#a4ca0d9cbb34639bf1032f34607e3d3bd">Ogre::SceneManagerMetaData::worldGeometrySupported</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Flag indicating whether world geometry is supported. </p>

<p>Definition at line <a class="el" href="OgreSceneManager_8h_source.html#l03626">3626</a> of file <a class="el" href="OgreSceneManager_8h_source.html">OgreSceneManager.h</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreSceneManager_8h_source.html">OgreSceneManager.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:05
</p>
</body>
</html>
